Bug 974226 - strip/disallow leading/trailing whitespaces in provisioning template names.
strip/disallow leading/trailing whitespaces in provisioning template names.
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Provisioning (Show other bugs)
6.0.0
Unspecified Unspecified
unspecified Severity unspecified (vote)
: Unspecified
: --
Assigned To: jmagen@redhat.com
Katello QA List
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-13 13:47 EDT by Corey Welton
Modified: 2014-04-24 13:07 EDT (History)
3 users (show)

See Also:
Fixed In Version: foreman-1.3.0-6.el6sat
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-04-24 13:07:09 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Corey Welton 2013-06-13 13:47:31 EDT
Description of problem:
Like most of the other bugs like this one, this can cause unexpected issues.

When creating a provisioning template and accidentally having a space in the name, i.e., " 69.pem", this is generally unseen in the UI and can lead to unexpected consequences when trying to kickstart a host.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.  Configure provisioning.
2.  Create a snippet called " 69_product_pem" (note extra space); 
3.  Observe provisioning template view (and lack of visible extra space in name) 
4.  Add the following line to your katello kickstart default, above the "<%= snippets "subscription_manager_registration" %>" line
   <%= snippets "69_product_pem" %>
5. Attempt to kickstart a host

Actual results:
Host has problems with kickstart
error in foreman logs:
Started GET "/foreman/unattended/provision?token=c61b54b2-5f2c-493c-b93c-e88207396b96" for 127.0.0.1 at 2013-06-13 13:25:36 -0400
Processing by UnattendedController#provision as */*
  Parameters: {"token"=>"c61b54b2-5f2c-493c-b93c-e88207396b96"}
Found sky.example.org
  Rendered inline template (54.9ms)
  Rendered text template (0.0ms)
Completed 500 Internal Server Error in 88ms (Views: 0.5ms | ActiveRecord: 4.6ms)

Expected results:
Strip/disallow that whitespace!

Additional info:
This bug brought to you by 30 minutes of hair-pulling and teeth-gnashing.
Comment 1 Corey Welton 2013-06-13 13:49:09 EDT
* apr-util-ldap-1.3.9-3.el6_0.1.x86_64
* candlepin-0.8.9-1.el6_4.noarch
* candlepin-scl-1-5.el6_4.noarch
* candlepin-scl-quartz-2.1.5-5.el6_4.noarch
* candlepin-scl-rhino-1.7R3-1.el6_4.noarch
* candlepin-scl-runtime-1-5.el6_4.noarch
* candlepin-selinux-0.8.9-1.el6_4.noarch
* candlepin-tomcat6-0.8.9-1.el6_4.noarch
* elasticsearch-0.19.9-8.el6sat.noarch
* foreman-1.1.10009-1.noarch
* foreman-compute-1.1.10009-1.noarch
* foreman-installer-puppet-concat-0-2.d776701.git.0.21ef926.el6sat.noarch
* foreman-installer-puppet-dhcp-0-5.3a4a13c.el6sat.noarch
* foreman-installer-puppet-dns-0-7.fcae203.el6sat.noarch
* foreman-installer-puppet-foreman-0-6.568c5c4.el6sat.noarch
* foreman-installer-puppet-foreman_proxy-0-8.bd1e35d.el6sat.noarch
* foreman-installer-puppet-puppet-0-3.ab46748.el6sat.noarch
* foreman-installer-puppet-tftp-0-5.ea6c5e5.el6sat.noarch
* foreman-installer-puppet-xinetd-0-50a267b8.git.0.44aca6a.el6sat.noarch
* foreman-libvirt-1.1.10009-1.noarch
* foreman-postgresql-1.1.10009-1.noarch
* foreman-proxy-1.1.10003-1.el6sat.noarch
* foreman-proxy-installer-1.0.1-8.f5ae2cd.el6sat.noarch
* katello-1.4.2-12.el6sat.noarch
* katello-all-1.4.2-12.el6sat.noarch
* katello-candlepin-cert-key-pair-1.0-1.noarch
* katello-certs-tools-1.4.2-2.el6sat.noarch
* katello-cli-1.4.2-7.el6sat.noarch
* katello-cli-common-1.4.2-7.el6sat.noarch
* katello-common-1.4.2-12.el6sat.noarch
* katello-configure-1.4.3-15.el6sat.noarch
* katello-configure-foreman-1.4.3-15.el6sat.noarch
* katello-foreman-all-1.4.2-12.el6sat.noarch
* katello-glue-candlepin-1.4.2-12.el6sat.noarch
* katello-glue-elasticsearch-1.4.2-12.el6sat.noarch
* katello-glue-pulp-1.4.2-12.el6sat.noarch
* katello-qpid-broker-key-pair-1.0-1.noarch
* katello-qpid-client-key-pair-1.0-1.noarch
* katello-selinux-1.4.3-3.el6sat.noarch
* openldap-2.4.23-31.el6.x86_64
* openldap-devel-2.4.23-31.el6.x86_64
* pulp-rpm-plugins-2.1.1-1.el6sat.noarch
* pulp-selinux-2.1.1-1.el6sat.noarch
* pulp-server-2.1.1-1.el6sat.noarch
* python-ldap-2.3.10-1.el6.x86_64
* ruby193-rubygem-ldap_fluff-0.2.2-1.el6sat.noarch
* ruby193-rubygem-net-ldap-0.3.1-2.el6sat.noarch
* signo-0.0.16-1.el6sat.noarch
* signo-katello-0.0.16-1.el6sat.noarch
Comment 3 jmagen@redhat.com 2013-09-15 09:45:12 EDT
Pull request to strip whitespaces
https://github.com/theforeman/foreman/pull/884
Comment 4 Sam Kottler 2013-09-23 11:56:39 EDT
The pull request has moved to https://github.com/theforeman/foreman/pull/885.
Comment 8 Corey Welton 2013-10-21 10:52:17 EDT
QA Verified in Satellite-6.0.2-RHEL-6-20131016.0
Comment 11 Bryan Kearney 2014-04-24 13:07:09 EDT
This was verified and delivered with MDP2. Closing it out.

Note You need to log in before you can comment on or make changes to this bug.